Bug 201387 - man: incorrect UTF 8 translation
man: incorrect UTF 8 translation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: man (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-04 14:49 EDT by Hervé Riboulot
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-07 09:44:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hervé Riboulot 2006-08-04 14:49:49 EDT
Description of problem:

The charset for the following files are not correct

/usr/share/man/fr/man1/apropos.1.gz
/usr/share/man/fr/man1/man.1.gz
/usr/share/man/fr/man1/man2html.1.gz
/usr/share/man/fr/man1/whatis.1.gz
/usr/share/man/fr/man5/man.config.5.gz
/usr/share/man/fr/man8/makewhatis.8.gz

For instance, "é, è, à, ù" are not properly displayed.

Version-Release number of selected component (if applicable):

1.6c-12@i386

How reproducible:

man man for instance.

Locales are: 

[code]$ locale -ck LC_CTYPE
LC_CTYPE
...
charmap="UTF-8"
ctype-class-offset=71
ctype-map-offset=85
..
map-to-nonascii=0
$ locale -ck LC_MESSAGES
LC_MESSAGES
yesexpr="^[oOyY].*"
noexpr="^[nN].*"
yesstr=""
nostr=""
messages-codeset="UTF-8"
$ printenv |grep LANG
LANG=fr_FR.UTF-8 [/code]

Steps to Reproduce:

1. man man (or man apropos)
2.
3.
  
Actual results:


Expected results:


Additional info:

The following script did set up a correct charset translation (from Anvil)

for i in $(rpm -ql man|grep fr/man1)
do
gunzip -dc $i|iconv -f utf-8 -t latin1 > ${i%.gz}
gzip -f ${i%.gz}
done ; rpm --setugids man ; rpm --setperms man
):
Comment 1 Ivana Varekova 2006-08-07 09:44:27 EDT
This problem is fixed in the last version of man package (man-1.6d-1.1). 

Note You need to log in before you can comment on or make changes to this bug.